C09.0 Attachment J-4 Past Performance IX-550 N4523A22R1051_Revised 29Apr2022.docx

DOCX document 19 KB Posted

Attached to
Docking and Maintenance work on the IX-550 Tank Barge
Solicitation number
N4523A22R1051
Issued by

About this file

This document contains a Past Performance questionnaire and details of a federal solicitation for maintenance work on an IX-550 Tank Barge. The Navy's Regional Maintenance Center at Puget Sound Naval Shipyard seeks a firm-fixed price contract to perform maintenance, repair, and preservation of the IX-550 from August to October 2022. Services include docking and cleaning the vessel, blasting and preserving the hull, replacing anodes and non-skid, inspecting and testing tanks and voids, replacing gaskets and repairs. The contractor's facility must be able to accommodate the IX-550. The solicitation is set aside for small businesses under NAICS code 336611 with a size standard of 1,250 employees. Offers are due in June 2022 and will be evaluated on a lowest price technically acceptable basis.

View the file

Other files

File Type Posted
C04.0 Attachment J-1 N4523A22R1051 IX-550 SOW_Errata 2.pdf PDF
C09.0 Amendment 0004 - N4523A22R1051 IX-550.pdf PDF
C09.0 Government Response to RFC 006 N4523A22R1051 IX-550.pdf PDF
C09.0 Amendment 0003 - N4523A22R1051 IX-550.pdf PDF
C04.0 Attachment J-1 N4523A22R1051 IX-550 SOW_Errata 1.pdf PDF
C09.0 Amendment 0002 - N4523A22R1051 IX-550.pdf PDF
C09.0 Government Response to RFC 002-005 N4523A22R1051 IX-550.pdf PDF
C09.0 Attachment J-7 BAVR Instructions IX-550 N4523A22R1051.pdf PDF
C09.0 Amendment 0001 - N4523A22R1051 IX-550.pdf PDF
C04.0 Attachment J-1 N4523A22R1051 IX-550 SOW.pdf PDF
C09.0 Attachment J-2 IX-550 Price Proposal Worksheet_Revised 27Apr2022.xls XLS spreadsheet
C09.0 Government Response to RFC 001 N4523A22R1051 IX-550.pdf PDF
C04.0 Exhibit A CDRL's and DID's Request IX-550 N4523A22R1051.pdf PDF
C04.0 Attachment J-2 IX-550 Price Proposal Worksheet.xls XLS spreadsheet
C04.0 Exhibit B GFPN4523A22R1051_1.pdf PDF
C04.0 Attachment J-7 Contractor Badging and Access Requirements Solicitation.docx DOCX document
C04.0 Attachment J-6 References and Drawings IX-550 N4523A22R1051.pdf PDF
C04.0 Attachment J-3 RFC Form IX-550 N4523A22R1051.docx DOCX document
C04.0 Solicitation IX-550 N4523A22R1051.pdf PDF
C04.0 Attachment J-4 Past Performance IX-550 N4523A22R1051.docx DOCX document
C04.0 Attachment J-5 Corporate Experience IX-550 N4523A22R1051.docx DOCX document
C04.0 Attachment J-1 N4523A22R1051 IX-550 SOW.pdf PDF
Show all 22

On GovTribe

Work with this file

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

CONTRACT PERFORMANCE DATA SHEET

N4523A22R1051 Attachment J-4

CONTRACTOR NAME____________________________________________________

Contract Number (Government Contracts):

Date Completed:

Contract Type:
FFP____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data;

Name/Title/Phone #/Email):

Address:

Telephone:

Email:

PERFORMANCE INFORMATION

YES
NO
1
Were all supplies/services delivered within the original contract schedule?
2
Did all delivered supplies/services comply with the contract specifications/ statement of work?
3
Did any of the delivered supplies/services require replacement, modification or rework in order to be acceptable?
4
Were any modifications issued relaxing the contract specifications/delivery requirements?
5
Was any part of this contract terminated for default or cause?
6
Did you receive any quality awards?
7
If applicable, describe any corrective action(s) initiated to solve any problems/deficiencies on this contract. Discuss the success of the corrective action(s) taken.

NARRATIVE:

File details come from the government source that posted it. Updated .